tbb::flow::interface8::multifunction_node< Input, Output, Policy, Allocator > Class Template Reference

implements a function node that supports Input -> (set of outputs) More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface8::multifunction_node< Input, Output, Policy, Allocator >:

## Public Types

typedef Input | input_type
typedef null_type | output_type
typedef internal::wrap_tuple_elements < N, internal::multifunction_output, Output >::type | output_ports_type
typedef internal::multifunction_input < input_type, output_ports_type, Allocator > | fInput_type
typedef internal::function_input_queue < input_type, Allocator > | input_queue_type

## Public Member Functions

template<typename Body >
| multifunction_node (graph &g, size_t concurrency, Body body)
| multifunction_node (const multifunction_node &other)
void | set_name (const char *name)
void | extract ()
Public Member Functions inherited from tbb::flow::interface8::graph_node
| graph_node (graph &g)

## Protected Member Functions

void | reset_node (reset_flags f)

## Static Protected Attributes

static const int | N = tbb::flow::tuple_size<Output>::value

## Additional Inherited Members

Protected Attributes inherited from tbb::flow::interface8::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

## Detailed Description

### template<typename Input, typename Output, typename Policy = queueing, typename Allocator = cache_aligned_allocator<Input>>
class tbb::flow::interface8::multifunction_node< Input, Output, Policy, Allocator >

implements a function node that supports Input -> (set of outputs)

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.